Skip to content

Fetches all users

User

Fetches all users

GET
/user

Parameters

Query Parameters

page

page number of a paginated list starts from 1

Type
integer
Default
1
pageSize

the amount of results displayed in a paginated list, defaults to 25

Type
integer
Default
25
_returnIterable

whether to return users as iterable or not. Defaults to false for backwards compatibility

Type
boolean
Default
false
filter[roles.rolename][]

Filter by role names. Use multiple values for filtering by multiple roles.

Type
array
Example"roles.registered""roles.admin"
filter[badges.badgeid][]

Filter by badge IDs. Use multiple values for filtering by multiple badges.

Type
array
Example123
filter[userid][]

Filter by user IDs. Use multiple values for filtering by multiple users.

Type
array
Example123456789
filter[joindate][from]

Filter users who joined on or after this date (yyyy-mm-dd format).

Type
string
Example"2024-01-01"
Format
"date"
filter[joindate][to]

Filter users who joined on or before this date (yyyy-mm-dd format).

Type
string
Example"2024-06-29"
Format
"date"
filter[lastactivity][from]

Filter users whose last activity was on or after this date (yyyy-mm-dd format).

Type
string
Example"2024-01-01"
Format
"date"
filter[lastactivity][to]

Filter users whose last activity was on or before this date (yyyy-mm-dd format).

Type
string
Example"2024-06-29"
Format
"date"

Responses

Returns users

application/json
JSON
{
  
"statistics": {
  
  
"count": "22",
  
  
"additionalProperties": {
  
  
}
  
},
  
"additionalProperties": {
  
  
"userid": 0,
  
  
"usergroupid": 0,
  
  
"membergroupids": 0,
  
  
"displaygroupid": 0,
  
  
"username": "user",
  
  
"email": "user@insided.com",
  
  
"posts": 0,
  
  
"deleted_posts": 0,
  
  
"options": 0,
  
  
"autosubscribe": 0,
  
  
"customoptions": 0,
  
  
"topics": 0,
  
  
"solved": 0,
  
  
"ipaddress": "198.199.125.238",
  
  
"usertitle": "string",
  
  
"customtitle": 0,
  
  
"session_ids_flagged_for_logout": [
  
  
  
"string"
  
  
],
  
  
"external_logout_at": "string",
  
  
"pmunread": 0,
  
  
"subscriptions": 0,
  
  
"pmtotal": 0,
  
  
"following": 0,
  
  
"followers": 0,
  
  
"avatar": "string",
  
  
"signature": "string",
  
  
"reputation": 0,
  
  
"lastvisit": 0,
  
  
"lastactivity": 0,
  
  
"insided_sso_customeruid": "string",
  
  
"reviewcount": 0,
  
  
"ratingcount": 0,
  
  
"lastpostid": 0,
  
  
"lastpost": 0,
  
  
"joindate": 0,
  
  
"likes": 0,
  
  
"likes_given": 0,
  
  
"blogposts": 0,
  
  
"researches": 0,
  
  
"rank_id": 0,
  
  
"rank_name": "string",
  
  
"rank_display_name": "string",
  
  
"rank_avatar_icon": "string",
  
  
"rank_avatar_icon_thumb": "string",
  
  
"is_moderator": 0,
  
  
"cdn": "string",
  
  
"autoAddToFavorites": true,
  
  
"crudListCacheDependencyKey": "string",
  
  
"id": "string",
  
  
"_related": {
  
  
  
"userprofilefields": [
  
  
  
  
{
  
  
  
  
  
"id": 0,
  
  
  
  
  
"userid": 0,
  
  
  
  
  
"profilefieldid": 0,
  
  
  
  
  
"value": "string",
  
  
  
  
  
"profilefield_name": "string",
  
  
  
  
  
"_related": [
  
  
  
  
  
  
{
  
  
  
  
  
  
}
  
  
  
  
  
]
  
  
  
  
}
  
  
  
],
  
  
  
"badges": [
  
  
  
  
{
  
  
  
  
}
  
  
  
],
  
  
  
"badgesCount": 0,
  
  
  
"roles": [
  
  
  
  
{
  
  
  
  
  
"auth_item_id": 0,
  
  
  
  
  
"itemname": "string",
  
  
  
  
  
"userid": 0,
  
  
  
  
  
"bizrule": "string",
  
  
  
  
  
"data": "string",
  
  
  
  
  
"_related": {
  
  
  
  
  
  
"items": {
  
  
  
  
  
  
  
"id": 0,
  
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
  
"type": 0,
  
  
  
  
  
  
  
"description": "string",
  
  
  
  
  
  
  
"bizrule": "string",
  
  
  
  
  
  
  
"data": "string",
  
  
  
  
  
  
  
"visible": 0,
  
  
  
  
  
  
  
"main": 0,
  
  
  
  
  
  
  
"order": 0,
  
  
  
  
  
  
  
"exclude_for_spam_check": 0,
  
  
  
  
  
  
  
"_related": [
  
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
}
  
  
  
  
  
  
  
]
  
  
  
  
  
  
}
  
  
  
  
  
}
  
  
  
  
}
  
  
  
]
  
  
}
  
}
}

Samples

Gainsight CC Developer Portal